/*
 *  Copyright (C) 2002-23 - ntop.org
 *
 *  http://www.ntop.org/
 *
 * This code is proprietary code subject to the terms and conditions
 * defined in LICENSE file which is part of this source code package.
 */

/* https://www.techonthenet.com/c_language/standard_library_functions/stdlib_h/strtol.php */

extern int ntop_atoi(const char *str, const char* filename, u_int line);
extern long ntop_atol(const char *str, const char* filename, u_int line);
extern double ntop_atof(const char *str, const char* filename, u_int line);

#define atoi(a) ntop_atoi(a, __FILE__, __LINE__)
#define atol(a) ntop_atol(a, __FILE__, __LINE__)
#define atof(a) ntop_atof(a, __FILE__, __LINE__)
